%define upstream_name       Net-Radius
%define upstream_version 2.103

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
Summary:        Object-oriented Perl interface to RADIUS
License:        GPL or Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
Buildrequires:  perl(Test::Warn)
BuildArch:      noarch


%description
The modules included here provide an interface to the RADIUS
protocol. It consists of the following modules:

Net::Radius::Packet - Deals with RADIUS packets
Net::Radius::Dictionary - Deals with RADIUS dictionaries

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this test failed:
rm -f t/00-pod.t
%{__make} test

%install
%make_install

%files
%doc Changes README* examples META.yml
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.103.0-12.mga10
+ Revision: 2200030
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 2.103.0-11.mga9
+ Revision: 1804990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.103.0-10.mga8
+ Revision: 1495995
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.103.0-9.mga7
+ Revision: 1269951
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.103.0-8.mga6
+ Revision: 1031294
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.103.0-7.mga6
+ Revision: 971845
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 2.103.0-6.mga6
+ Revision: 893184
- disable failling test

* Wed Oct 15 2014 umeabot <umeabot> 2.103.0-5.mga5
+ Revision: 746717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.103.0-4.mga5
+ Revision: 685708
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.103.0-3.mga4
+ Revision: 521005
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 2.103.0-2.mga3
+ Revision: 388241
- Fix spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.103.0-1.mga1
+ Revision: 29157
- mageia rebuild
- imported package perl-Net-Radius


* Wed Dec 02 2009 Jérôme Quelin <jquelin@mandriva.org> 2.103.0-1mdv2010.1
+ Revision: 472593
- update to 2.103

* Sat Aug 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.560.0-1mdv2010.0
+ Revision: 419608
- new perl version macro

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.56-4mdv2009.0
+ Revision: 258086
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.56-3mdv2009.0
+ Revision: 246165
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.56-1mdv2008.1
+ Revision: 140693
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.56-1mdv2008.0
+ Revision: 47700
- update to new version 1.56

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.55-1mdv2008.0
+ Revision: 20323
- 1.55


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New version 1.49
- spec cleanup

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.44-2mdk
- Fix SPEC according to Perl Policy
    - Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.44-1mdk
- initial Mandriva package

